jQuery( function ( $ ) {

    var FrontendScripts = {
        init : function () {
            $( document ).on( 'click' , '.rs_copy_clipboard_image' , this.copy_to_clipboard ) ;
            $( document ).on( 'change' , 'input, wcva_attribute_radio' , this.message_for_variations ) ;
        } ,
        copy_to_clipboard : function () {
            var temp = $( '<input>' ) ;
            $( 'body' ).append( temp ) ;
            var url = $( this ).attr( 'data-referralurl' ) ;
            temp.val( url ).select() ;
            document.execCommand( 'copy' ) ;
            $( '.rs_alert_div_for_copy' ).css( { display : 'block' } ).delay( 7000 ).fadeOut() ;
            temp.remove() ;
        } ,
        message_for_variations : function ( ) {
            var variationid = $( 'input:hidden[name=variation_id]' ).val() ;
            if ( variationid === '' || variationid === undefined ) {
                $( '#value_variable_product' ).hide() ;
                return false ;
            } else {
                $( '#value_variable_product1' ).hide() ;
                var data = ( {
                    action : 'getvariationpoints' ,
                    variationid : variationid ,
                    sumo_security : fp_frontend_scripts_params.variation_msg
                } ) ;
                $.post( fp_frontend_scripts_params.ajax_url , data , function ( response ) {
                    if ( true === response.success ) {

                        if ( response.data.showmsg ) {
                            if ( fp_frontend_scripts_params.productpurchasecheckbox == 'yes' ) {
                                if ( fp_frontend_scripts_params.showreferralmsg == '1' ) {
                                    if ( fp_frontend_scripts_params.showearnmsg == '1' ) {
                                        $( '.variableshopmessage' ).show() ;
                                        $( '.variableshopmessage' ).html( response.data.earnpointmsg ) ;
                                    }
                                    $( '.gift_icon' ).show() ;

                                    $( '#referral_value_variable_product' ).addClass( 'woocommerce-info rs_message_for_single_product' ) ;
                                    $( '#referral_value_variable_product' ).show() ;
                                    $( '#referral_value_variable_product' ).html( response.data.refmsg ) ;
                                }
                                if ( fp_frontend_scripts_params.showpurchasemsg == '1' ) {
                                    $( '#value_variable_product' ).addClass( 'woocommerce-info rs_message_for_single_product' ) ;
                                    $( '#value_variable_product' ).show() ;
                                    $( '#value_variable_product' ).html( response.data.purchasemsg ) ;
                                    if ( fp_frontend_scripts_params.showearnmsg == '1' ) {
                                        $( '.variableshopmessage' ).show() ;
                                        $( '.variableshopmessage' ).html( response.data.earnpointmsg ) ;
                                    }
                                }
                                if ( fp_frontend_scripts_params.showbuyingmsg == '1' ) {
                                    $( '.variableshopmessage' ).show() ;
                                    if ( fp_frontend_scripts_params.showearnmsg == '1' ) {
                                        $( '.variableshopmessage' ).append( '<br>' + response.data.buymsg + '</br>' ) ;
                                    } else {
                                        $( '.variableshopmessage' ).html( '<br>' + response.data.buymsg + '</br>' ) ;
                                    }
                                }
                                if ( fp_frontend_scripts_params.showearnmsg == '1' ) {
                                    $( '.variableshopmessage' ).show() ;
                                    $( '.variableshopmessage' ).html( response.data.earnpointmsg ) ;
                                }
                            } else {
                                if ( fp_frontend_scripts_params.showreferralmsg == '1' ) {
                                    $( '#referral_value_variable_product' ).addClass( 'woocommerce-info rs_message_for_single_product' ) ;
                                    $( '#referral_value_variable_product' ).show() ;
                                    $( '#referral_value_variable_product' ).html( response.data.refmsg ) ;
                                }
                            }
                        }
                    } else if ( typeof response.success == "" || typeof response.success == "undefined" ) {
                        $( '#value_variable_product' ).hide() ;
                        $( '.variableshopmessage' ).hide() ;
                        $( '#referral_value_variable_product' ).hide() ;
                    } else {
                        window.alert( response.data.error ) ;
                    }
                } ) ;
            }
        } ,
    } ;
    FrontendScripts.init() ;
} ) ;
